ruKernelTool - Changelog:
=========================

V0.6.4.64, 23.04.2018 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 26.06.2018, 23:00 Uhr verlängert

V0.6.4.63, 22.04.2018
 - Kleine Änderungen

V0.6.4.62, 27.02.2018 (veröffentlicht)
 - 6360 wieder in die Liste der nicht flashbaren Router aufgenommen
 - Kleine Änderungen
 - Testzeitraum bis 24.04.2018, 23:00 Uhr verlängert

V0.6.4.61, 26.02.2018
 - 6360 aus der Liste der nicht flashbaren Router temporär rausgenommen

V0.6.4.60, 08.01.2018 (veröffentlicht)
 - zurück zur Normal-Edition
 - Kleine Änderungen
 - Testzeitraum bis 27.02.2018, 23:00 Uhr verlängert
	
V0.6.4.59, 08.01.2018
 - Kleine Änderungen

V0.6.4.58, 28.11.2017 (veröffentlicht)
 - Weihnachts-Edition
 - Kleine Änderungen
 - Testzeitraum bis 16.01.2018, 23:00 Uhr verlängert

V0.6.4.57, 28.11.2017
 - Kleine Änderungen

V0.6.4.56, 24.10.2017 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 28.11.2017, 23:00 Uhr verlängert

V0.6.4.55, 15.08.2017
 - Kleine Änderungen

V0.6.4.54, 15.08.2017 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 24.10.2017, 23:00 Uhr verlängert

V0.6.4.53, 15.08.2017
 - Kleine Änderungen

V0.6.4.52, 27.06.2017 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 15.08.2017, 23:00 Uhr verlängert

V0.6.4.51, 27.06.2017
 - Kleine Änderungen

V0.6.4.50, 23.05.2017 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 27.06.2017, 23:00 Uhr verlängert

V0.6.4.49, 01.05.2017
 - Kleine Änderungen

V0.6.4.48, 11.04.2017 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 23.05.2017, 23:00 Uhr verlängert

V0.6.4.47, 17.03.2017
 - Kleine Änderungen

V0.6.4.46, 17.03.2017 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 11.04.2017, 23:00 Uhr verlängert

V0.6.4.45, 16.03.2017
 - 7590 in die Liste der nicht flashbaren Router aufgenommen
 - Bugfix: "Produktionsdatum ermitteln" zeigt wieder korrektes Datum an
 - Bugfix: UMTS-Teil-Erkennung in "Konfigurationsdatei (.exports) zerlegen" repariert
 - HWRevisionnummer-Liste modifiziert
 - Firmware-Major-Nummern-Liste modifiziert
 - Kleine Änderungen

V0.6.4.44, 07.03.2017 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 21.03.2017, 23:00 Uhr verlängert

V0.6.4.43, 07.03.2017
 - 4020 in die Liste der nicht flashbaren Router aufgenommen
 - Firmware-Major-Nummern-Liste modifiziert
 - Firmware-Erkennung der Sammelliste verbessert
 - Kleine Änderungen

V0.6.4.42, 10.01.2017 (veröffentlicht)
 - zurück zur Normal-Edition
 - 7zip-Update auf V16.04
 - Kleine Änderungen
 - Testzeitraum bis 07.03.2017, 23:00 Uhr verlängert

V0.6.4.41, 29.11.2016
 - Kleine Änderungen

V0.6.4.40, 29.11.2016 (veröffentlicht)
 - Weihnachts-Edition
 - Kleine Änderungen
 - Testzeitraum bis 13.01.2017, 23:00 Uhr verlängert

V0.6.4.39, 18.10.2016
 - Kleine Änderungen

V0.6.4.38, 18.10.2016 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 29.11.2016, 23:00 Uhr verlängert

V0.6.4.37, 13.09.2016
 - Kleine Änderungen

V0.6.4.36, 13.09.2016 (veröffentlicht)
 - 4040 in die Liste der nicht flashbaren Router aufgenommen
 - Firmware-Major-Nummern-Liste modifiziert
 - HWRevisionnummer-Liste modifiziert
 - Kleine Änderungen
 - Testzeitraum bis 18.10.2016, 23:00 Uhr verlängert

V0.6.4.35, 09.08.2016
 - Kleine Änderungen

V0.6.4.34, 09.08.2016 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 13.09.2016, 23:00 Uhr verlängert
 
V0.6.4.33, 26.07.2016
 - 6360 in die Liste der nicht flashbaren Router aufgenommen
 - Kleine Änderungen

V0.6.4.32, 21.07.2016 (veröffentlicht)
 - Kleine Änderungen
 
V0.6.4.31, 21.07.2016
 - Info-Links erweitert
 - Kleine Änderungen
 
V0.6.4.30, 11.07.2016 (veröffentlicht)
 - zurück zur Normal-Edition
 - Kleine Änderungen
 - Testzeitraum bis 09.08.2016, 23:00 Uhr verlängert
 
V0.6.4.29, 14.06.2016
 - firmware_info-Erkennnung wegen Neuerungen seit 06.61 angepaßt
 - Kleine Änderungen

V0.6.4.28, 12.06.2016 (veröffentlicht)
 - Firmware-Major-Nummern-Liste modifiziert
 - HWRevisionnummer-Liste modifiziert
 - Liste der noch nicht flashbaren Router modifiziert
 - Kleine Änderungen
 
V0.6.4.27, 12.06.2016
 - Kleine Änderungen

V0.6.4.26, 10.06.2016 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 12.07.2016, 23:00 Uhr verlängert
 
V0.6.4.25, 07.06.2016
 - EM 2016-Edition
 - 7zip-Update auf V16.02

V0.6.4.24, 24.05.2016 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 21.06.2016, 23:00 Uhr verlängert

V0.6.4.23, 19.04.2016
 - Kleine Änderungen

V0.6.4.22, 19.04.2016 (veröffentlicht)
 - Firmware-Major-Nummern-Liste modifiziert
 - Kleine Änderungen
 - Testzeitraum bis 24.05.2016, 23:00 Uhr verlängert

V0.6.4.21, 05.04.2016
 - Firmware-Major-Nummern-Liste modifiziert

V0.6.4.20, 22.03.2016 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 19.04.2016, 23:00 Uhr verlängert

V0.6.4.19, 21.03.2016
 - 6590, 7581 und 7582 in die Liste der noch nicht flashbaren Router aufgenommen
 - HWRevisionnummer-Liste modifiziert
 - Kleine Änderungen

V0.6.4.18, 23.02.2016 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 22.03.2016, 23:00 Uhr verlängert

V0.6.4.17, 15.02.2016
 - HWRevisionnummer-Liste modifiziert
 - Firmware-Major-Nummern-Liste modifiziert
 - Kleine Änderungen

V0.6.4.16, 02.02.2016 (veröffentlicht)
 - FAQ erweitert
 - Kleine Änderungen
 - Testzeitraum bis 23.02.2016, 23:00 Uhr verlängert

V0.6.4.15, 17.01.2016
 - 5490, 6820 LTE, 7560 und 7580 in die Liste der noch nicht flashbaren Router aufgenommen
 - Info-Links überarbeitet
 - Kleine Änderungen

V0.6.4.14, 10.01.2016 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 02.02.2016, 23:00 Uhr verlängert

V0.6.4.13, 10.01.2016
 - 6490 in die Liste der noch nicht flashbaren Router aufgenommen
 - Windows-Versionserkennung verbessert
 - Firmware-Erkennung der Sammelliste verbessert
 - zurück zur Normal-Edition
 - Kleine Änderungen

Ab hier neuer Branch für V0.7.0.0

V0.6.4.12, 08.12.2015 (veröffentlicht)
 - Weihnachts-Edition
 - Testzeitraum bis 12.01.2016, 23:00 Uhr verlängert

V0.6.4.11, 18.11.2015
 - 7369 in die Liste der noch nicht flashbaren Router aufgenommen

V0.6.4.10, 09.11.2015 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 08.12.2015, 23:00 Uhr verlängert

V0.6.4.9, 03.11.2015
 - Neue Option in der Ini: Bereich [Settings]: 'TelnetPort', Details siehe Ini
 - Info-Links überarbeitet
 - Firmware-Erkennung der Sammelliste verbessert
 - Menü "Spezial" umsortiert
 - Menüpunkt "Passwort generieren" umbenannt zu "(WLAN-)Passwort generieren"
 - Kleine Änderungen

V0.6.4.8, 22.09.2015 (veröffentlicht)
 - Erhaltene Flash-Speed-Reports eingearbeitet
 - Kleine Änderungen
 - Testzeitraum bis 10.11.2015, 23:00 Uhr verlängert

V0.6.4.7, 22.09.2015
 - 7430 in die Liste der noch nicht flashbaren Router aufgenommen
 - Diverse Anpassungen wegen 3.10er-Kernel

V0.6.4.6, 30.06.2015 (veröffentlicht)
 - FAQ ergänzt
 - Kleine Änderungen
 - Testzeitraum bis 22.09.2015, 23:00 Uhr verlängert

V0.6.4.5, 30.06.2015
 - Email-Adresse geändert
 - Neue Funktion/Menüpunkt: "?" -> "Ich brauche Hilfe!" 
 - Funktion/Menüpunkt "Forum" entfernt

V0.6.4.4, 28.04.2015 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 30.06.2015, 23:00 Uhr verlängert

V0.6.4.3, 27.04.2015
 - Kleine Änderungen

V0.6.4.2, 25.02.2015 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 28.04.2015, 23:00 Uhr verlängert

V0.6.4.1, 29.01.2015
 - Firmware-Major-Nummern-Liste modifiziert
 - 6320 und 6320_v2 aus der Liste der noch nicht flashbaren Router entfernt
 - Kleine Änderungen

V0.6.4.0, 13.01.2015 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 24.02.2015, 23:00 Uhr verlängert

V0.6.3.17, 13.01.2015
 - 7412 in die Liste der noch nicht flashbaren Router aufgenommen
 - zurück zur Normal-Edition
 - Kleine Änderungen

V0.6.3.16, 02.12.2014 (veröffentlicht)
 - Weihnachts-Edition
 - Testzeitraum bis 13.01.2015, 23:00 Uhr verlängert

V0.6.3.15, 02.12.2014
 - Kleine Änderungen

V0.6.3.14, 21.10.2014 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 02.12.2014, 23:00 Uhr verlängert

V0.6.3.13, 11.09.2014
 - Kleine Änderungen

V0.6.3.12, 09.09.2014 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 21.10.2014, 23:00 Uhr verlängert

V0.6.3.11, 06.09.2014
 - 3490 in die Liste der noch nicht flashbaren Router aufgenommen
 - HWRevisionnummer-Liste modifiziert
 - Firmware-Major-Nummern-Liste modifiziert
 - Kleine Änderungen 

V0.6.3.10, 22.07.2014 (veröffentlicht)
 - zurück zur Normal-Edition
 - Info-Links erweitert
 - FAQ ergänzt
 - Kleine Änderungen
 - Testzeitraum bis 09.09.2014, 23:00 Uhr verlängert 

V0.6.3.9, 21.06.2014 (veröffentlicht)
 - WM 2014-Edition Belgien für unseren Freund Philippe

V0.6.3.8, 12.06.2014 (veröffentlicht)
 - Info-Links korrigiert (wg. AVMs neuem Webpage-Look)

V0.6.3.7, 12.06.2014
 - WM 2014-Edition
 - Neue Funktion: "Spezial" -> "Passwort generieren"
 - Kleine Änderungen
 - Testzeitraum bis 22.07.2014, 23:00 Uhr verlängert 

V0.6.3.6, 05.05.2014 (veröffentlicht)
 - "Down-Portierung" von Programm-Teilen der V0.7.0.0
 - Kleine Änderungen
 - Testzeitraum bis 24.06.2014, 23:00 Uhr verlängert 

V0.6.3.5, 12.04.2014
 - Erhaltene Flash-Speed-Reports eingearbeitet
 - Dateieigenschaften modifiziert
 - Kleine Änderungen

V0.6.3.4, 22.03.2014 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 06.05.2014, 23:00 Uhr verlängert

V0.6.3.3, 20.03.2014
 - Flashen von freetz-Images, die größer als 8MB sind, in einem Rutsch auf eine 7570HN (Experten-Modus notwendig!)
 - Erhaltene Flash-Speed-Reports eingearbeitet
 - Firmware-Erkennung der Sammelliste verbessert
 - Kleine Änderungen

V0.6.3.2, 24.02.2014 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 08.04.2014, 23:00 Uhr verlängert
 - Dokumentation (FAQ, Homepage, Kurzanleitung, HowTos) angepaßt

V0.6.3.1, 28.01.2014
 - 6360 aus der Liste der noch nicht flashbaren Router entfernt
 - Kleine Änderungen

V0.6.3.0, 08.01.2014 (veröffentlicht)
 - HWRevisionnummer-Liste modifiziert
 - Firmware-Major-Nummern-Liste modifiziert
 - Kleine Änderungen
 - Testzeitraum bis 25.02.2014, 23:00 Uhr verlängert

V0.6.2.28, 05.01.2014
 - Dokumentation aktualisiert und erweitert
 - "In Adam2 halten" unterstützt jetzt auch die nicht flashbaren Routern
 - HWRevisionnummer-Liste ergänzt
 - Firmware-Major-Nummern-Liste ergänzt
 - zurück zur Normal-Edition
 - Kleinere Änderungen

V0.6.2.27, 30.11.2013 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 14.01.2014, 23:00 Uhr verlängert

V0.6.2.26, 30.11.2013
 - Neue Funktion: "Spezial" -> "Spectrum auslesen des Speedlink 111x (VDSL2-Highspeed-Modem)" (Vielen Dank an ConiKost)
 - Neuen Bereich in der ruKernelTool.ini: [Speedlink111x]. Details entnehmen Sie der Ini-Datei
 - Funktion um "infolab.txt" erweitert: "Öffne info[-e|lab].txt beim Entpacken von Zip-Dateien"
 - Weihnachts-Edition
 - Kleine Änderungen

V0.6.2.25, 05.11.2013 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 17.12.2013, 23:00 Uhr verlängert

V0.6.2.24, 05.11.2013
 - Firmware-Major-Nummern-Liste ergänzt
 - HWRevisionnummer-Liste ergänzt
 - Blockierung von derzeit mit dem ruKernelTool nicht flashbaren Routern erweitert
 - Interneterkennung verbessert
 - Kleine Änderungen

V0.6.2.23, 25.09.2013 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 05.11.2013, 23:00 Uhr verlängert
 - known bug: OS-Erkennung Windows 8.1 funktioniert nicht mehr

V0.6.2.22, 25.09.2013
 - Wieder zurück auf Production-Compiler V3.3.8.1
 - Kleine Änderungen
 - Testzeitraum bis 08.10.2013, 23:00 Uhr verlängert

V0.6.2.21, 24.09.2013 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 01.10.2013, 23:00 Uhr verlängert

V0.6.2.20, 24.09.2013
 - Firmware-Major-Nummern-Liste ergänzt
 - HWRevisionnummer-Liste ergänzt
 - OS-Erkennung um Windows 8.1 erweitert
 - aktuellen Beta-Compiler V3.3.9.21 verwendet
 - Kleine Änderungen

V0.6.2.19, 11.07.2013 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 23.09.2013, 23:00 Uhr verlängert

V0.6.2.18, 24.05.2013
 - Bugfix: Telnet-Login bei xx.05.xx akzeptiert nun auch "Fritz!Box user:"
 - Kleine Änderungen

V0.6.2.17, 22.05.2013 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 24.07.2013, 23:00 Uhr verlängert

V0.6.2.16, 21.05.2013
 - Neue Funktion/Menüpunkt: "Spezial" -> "Benutzeroberfläche öffnen"
 - Neue Funktion/Menüpunkt: "Spezial" -> "Support-Webseite öffnen"
 - Neue Funktion/Menüpunkt: "Spezial" -> "Paketmitschnitt-Webseite öffnen"
 - Firmware-Major-Nummern-Liste ergänzt
 - HWRevisionnummer-Liste ergänzt
 - Firmware-Erkennung der Sammelliste verbessert
 - Kleine Änderungen

V0.6.2.15, 24.03.2013 (veröffentlicht)
 - Kleine Änderungen
 - Testzeitraum bis 25.05.2013, 23:00 Uhr verlängert

V0.6.2.14, 25.01.2013 (veröffentlicht)
 - Firmware-Major-Nummern-Liste ergänzt
 - HWRevisionnummer-Liste ergänzt
 - Erhaltene Flash-Speed-Reports eingearbeitet
 - Kleine Änderungen
 - Testzeitraum bis 25.03.2013, 23:00 Uhr verlängert

V0.6.2.13, 26.11.2012 (veröffentlicht)
 - FAQ ergänzt
 - Kleine Änderungen
 - Testzeitraum bis 25.01.2013, 23:00 Uhr verlängert

V0.6.2.12, 12.10.2012
 - Firmware-Major-Nummern-Liste ergänzt
 - HWRevisionnummer-Liste ergänzt

V0.6.2.11, 28.09.2012 (veröffentlicht)
 - Link-Anpassung wegen neuem ruKernelTool-Hauptsupportforum
 - kleine Änderungen

V0.6.2.10, 23.09.2012 (veröffentlicht)
 - Erhaltene Flash-Speed-Reports eingearbeitet
 - Testzeitraum bis 27.11.2012, 23:00 Uhr verlängert
 - kleine Änderungen

V0.6.2.9, 19.09.2012
 - FAQ erweitert
 - Firmware-Major-Nummern-Liste ergänzt
 - HWRevisionnummer-Liste ergänzt

V0.6.2.8, 15.08.2012 (veröffentlicht)
 - Bugfix: "Netzwerk" -> "Netzwerkverbindungen (Windows)" funktioniert wieder
 - Testzeitraum bis 25.09.2012, 23:00 Uhr verlängert

V0.6.2.7, 08.08.2012
 - Firmware-Major-Nummern-Liste ergänzt

V0.6.2.6, 07.08.2012 (veröffentlicht)
 - Testzeitraum bis 15.08.2012, 23:00 Uhr verlängert
 - Kleinere Änderungen

V0.6.2.5, 27.07.2012
 - Neue Funktion/Menüpunkt: "Spezial" -> "SystemStatus auslesen"
 - Firmware-Major-Nummern-Liste ergänzt
 - HWRevisionnummer-Liste ergänzt
 - Einstellungserkennung der s2f-Firmwaren verbessert
 - Kleinere Änderungen

V0.6.2.4, 12.06.2012 (veröffentlicht)
 - Testzeitraum bis 07.08.2012, 23:00 Uhr verlängert
 - Kleinere Änderungen

V0.6.2.3, 09.06.2012
 - Umstellung von "www.rainerullrich.de/ruKernelTool" auf "rukerneltool.rainerullrich.de"
 - PrepareMail-Update auf V1.0.0.11
 - Kleinere Änderungen

V0.6.2.2, 25.04.2012 (veröffentlicht)
 - Testzeitraum bis 12.06.2012, 23:00 Uhr verlängert
 - Kleinere Änderungen

V0.6.2.1, 24.04.2012
 - Neue Option: "Einstellungen" -> "Readme vom AVM-Server: http anstatt ftp"
 - Firmware-Download kann nun unterbrochen werden
 - PrepareMail-Update auf V1.0.0.10
 - WLAN-Key-Längenüberprüfung akzeptiert nun auch 20 Stellen
 - Kleinere Änderungen

V0.6.2.0, 27.03.2012 (veröffentlicht)
 - Testzeitraum bis 24.04.2012, 23:00 Uhr verlängert
 - Kleinere Änderungen

V0.6.1.4, 26.03.2012
 - Workaround entfernt
 - Kleinere Änderungen

V0.6.1.3, 23.03.2012
 - Workaround für Windows Live Mail eingebaut (3 neue Punkte in Einstellungen)
 - Kleinere Änderungen

V0.6.1.2, 19.03.2012
 - Unterstützung von 7z-Dateien
 - "Über"-Fenster um Infos zu den Entwicklern und dem ruKernelTool-Team erweitert
 - Funktion/Menüpunkt umbenannt und erweitert: "Aktionen" -> "Debug-Informationen sammeln, zippen und als Email vorbereiten"
 - Neues Library-Programm um Emails vorzubereiten
 - Kleinere Änderungen

V0.6.1.1, 15.03.2012
 - Update-Umstellung auf verschlüsselte Firmware-Link-Liste
 - Einen Info-Link korrigiert
 - Kleinere Änderungen

V0.6.1.0, 16.02.2012
 - Einlesen von verschlüsselten Firmware-Link-Listen ist nun möglich
 - Firmware-Links bei verschlüsselten Firmware-Link-Listen werden in der Tabelle versteckt
 - Kleinere Änderungen

V0.6.0.2, 11.02.2012
 - Neue Funktion/Menüpunkt: "Spezial" -> 'Datei "boxnames.conf" für JFritz erzeugen und ggf. ersetzen'
 - HWRevisionnummer-Liste ergänzt
 - Erhaltene Flash-Speed-Reports eingearbeitet
 - Kleinere Änderungen

V0.6.0.1, 18.01.2012 (veröffentlicht)
 - Bugfix: ruKernelTool_default.ini wurde nicht extrahiert (bei frisch entpackten ruKernelTools)

V0.6.0.0, 17.01.2012 (veröffentlicht)
 - Umstellung von "Download-Link..." auf "Firmware-Link...". Im Programm, Ini, Doku, FAQ
 - Konvertierung der Ini-Datei auf die neuen Gegebenheiten
 - HWRevisionnummer-Liste ergänzt
 - Firmware-Major-Nummern-Liste ergänzt
 - Kleinere Änderungen

V0.5.1.3, 13.01.2012
 - Erhaltene Flash-Speed-Reports eingearbeitet
 - Umstieg auf Compiler-Version 3.3.8.0

V0.5.1.2, 30.12.2011
 - Kleinere Änderungen
 - zurück zur Normal-Edition 
 - Testzeitraum bis 27.03.2012, 23:00 Uhr verlängert

V0.5.1.1, 06.12.2011 (veröffentlicht)
 - FAQ aktualisiert

V0.5.1.0, 06.12.2011 (veröffentlicht)
 - "Über"-Fenster um Infos zum Programm erweitert
 - Kleinere Änderungen
 - Testzeitraum bis 17.01.2012, 23:00 Uhr verlängert

V0.5.0.10, 02.12.2011
 - Neue Funktion/Menüpunkt: "Spezial" -> "Konfigurationsdatei (.exports) zerlegen" (z.B. werden die Telefonbücher extrahiert)
 - Neue Option in der Ini: Bereich [Tools]: 'Meine Router-Liste', Details siehe Ini
 - Neue Option in der Ini: Bereich [Settings]: 'PingTimeoutImLAN', Details siehe Ini
 - Neue Option in der Ini: Bereich [Settings]: 'NoNameAndMACResolving', Details siehe Ini
 - Programmstart beschleunigt
 - Download-Link-Listen- und Programm-Versionsüberprüfung nach Hibernate- oder Sleep-Mode
 - "Über"-Fenster um Infos zur zentralen Download-Link-Liste erweitert
 - Neue Tastenkombinationen: Strg+Shift+D -> Öffnet das DebugLog
 - Neue Tastenkombinationen: Strg+Shift+I -> Öffnet die ruKernelTool.ini
 - Weihnachts-Edition
 - Kleinere Änderungen

V0.5.0.9, 08.11.2011 (veröffentlicht)
 - Kleinere Änderungen
 - Testzeitraum bis 06.12.2011, 23:00 Uhr verlängert

V0.5.0.8, 08.11.2011
 - Firmware-Major-Nummern-Liste ergänzt
 - Kleinere Änderungen

V0.5.0.7, 18.10.2011 (veröffentlicht)
 - Kleinere Änderungen
 - Testzeitraum bis 08.11.2011, 23:00 Uhr verlängert	

V0.5.0.6, 15.10.2011
 - Funktionserweiterung: Reiter "Tools" -> Button "Benutzeroberfläche": Beim Drücken von Ctrl und diesem Button wird Port 81 verwendet (freetz-Weboberfläche)
 - Freetz-Firmwaren-Erkennung verbessert
 - ruKernelTool.ini-once zum nachträglichen Integrieren von Sectionen (derzeit nur für "Download-Links Eigen 9")
 - Neue Option: "Öffne info[-e].txt beim Entpacken von Zip-Dateien"
 - Neue Option: "Öffne zusätzliche Info-Dateien beim Entpacken von Zip-Dateien"
 - Kleinere Änderungen

V0.5.0.5, 04.10.2011 (veröffentlicht)
 - Kleinere Änderungen
 - Testzeitraum bis 18.10.2011, 23:00 Uhr verlängert

V0.5.0.4, 27.09.2011
 - Neue Option in der Ini: Bereich [Settings]: EmptyPasswordString, Details siehe Ini
 - Neue Option: "Beim Programm-Start suchen nach..." -> "alice.box" 
 - Neue Option: "Beim Programm-Start suchen nach..." -> "multi.box" (EWE TEL, osnatel)
 - Firmware-Erkennung der Sammelliste verbessert
 - Funktion: Reiter "Tools" -> "Kennungen auslesen" liest jetzt 2. PVC und VCI/VPI aus
 - Branding "ewetel" ergänzt
 - Menü "?" erweitert
 - Info-Links erweitert
 - Hersteller-Icon Alice/Hansenet hinzugefügt
 - Hersteller-Icon ewetel hinzugefügt
 - HWRevisionnummer-Liste ergänzt
 - Firmware-Major-Nummern-Liste ergänzt
 - Erhaltene Flash-Speed-Reports eingearbeitet
 - Kleinere Änderungen

V0.5.0.3, 28.06.2011 (veröffentlicht)
 - Auf Reiter "Firmware-Downloads" den Button "Als kernel.image benutzen" nach "Als Kernel-Quelle verwenden" umbenannt
 - Auf Reiter "Upload-Parameter" den Button "Kernel auswählen" nach "Kernel/Firmware auswählen" umbenannt
 - Branding-Überprüfung erweitert
 - Testzeitraum bis 04.10.2011, 23:00 Uhr verlängert
 - Kleinere Änderungen

V0.5.0.2, 11.06.2011
 - Alle Netzwerk-Buttons/Funktionen vom Experten- in den Normal-Modus verlegt. Kurzanleitung und Meldungen angepaßt
 - Umstieg auf Compiler-Version 3.3.6.1 
 - Testzeitraum bis 05.07.2011, 23:00 Uhr verlängert
 - Kleinere Änderungen

V0.5.0.1, 16.04.2011
 - Neue Netzwerk-Library weiter gemacht, sodass auch Netzwerkfunktionen fehlerfrei arbeiten
 - Testzeitraum bis 26.04.2011, 23:00 Uhr verkürzt
 - Plausibilitätsprüfung eingebaut bei Branding "avme" und Annex
 - Kleinere Änderungen

V0.5.0.0, 11.04.2011
 - Neue Netzwerk-Library angefangen, damit auch Netzwerkkarten mit problematischen/fehlerhaften Treibern unterstützt werden

V0.4.4.13, 08.04.2011
 - Bugfix: Firmware-Inventur bliebt bei passwort-geschützten Zip-Dateien hängen
 - Neue Funktion/Menüpunkt: "Netzwerk" -> "Netzwerkverbindungen (Windows)"
 - Neue Funktion/Menüpunkt: "Spezial" -> "Benutzeroberfläche via Not-IP 169.254.1.1 aufrufen"
 - Neue Funktion/Menüpunkt: "Spezial" -> "Benutzeroberfläche via Not-IP 192.168.178.254 aufrufen"
 - HWRevisionnummer-Liste ergänzt
 - Firmware-Major-Nummern-Liste ergänzt

V0.4.4.12, 22.03.2011 (veröffentlicht)
 - FAQ erweitert
 - Kleinere Änderungen
 - Testzeitraum bis 28.06.2011, 23:00 Uhr verlängert

V0.4.4.11, 22.03.2011
 - Detaillierte Netzwerkinformationen werden bei allen Up- und Download-Funktionen Richtung Router ausgegeben, z.B. "Upload starten"
 - Flashsperre für Firmwaren der 3370 eingebaut, da der Flash der 3370 anders aufgeteilt ist. Wird in späteren Versionen unterstützt
 - Firmware-Versions-Erkennung älterer Firmwaren verbessert
 - Neue Funktion/Menüpunkt: "Spezial" -> "Firmware-Inventur-Liste erstellen"
 - Neue Option in der Ini: Bereich [Settings]: AddDotBackslash, Details siehe Ini
 - Firmware-Inspection verbessert (detaillierte Infos werden in die .ruktif geschrieben)
 - Beispiel-Upload-Logs in.\_Doku erneuert
 - Firmware-Major-Nummern-Liste erweitert
 - Viele Änderungen (inkl. Meldungen/Ausgaben) im Code

V0.4.4.10, 24.02.2011
 - Funktion/Menüpunkt: "Netzwerk" -> "Netzwerk überprüfen/reparieren" erweitert
 - Funktion/Menüpunkt: "Aktionen" -> "MD5 einer Datei berechnen" nach "md5-Hash einer Datei berechnen" umbenannt
 - Neue Funktion/Menüpunkt: "Aktionen" -> "sha1-Hash einer Datei berechnen"
 - Bugfix: Bei Firmware-Downloads in gefilterten Listen wurde manchmal die ungefilterte Liste in der Spalte "Lokal" nicht upgedatet
 - Beta-Firmwaren werden mit einer roten Flagge gekennzeichnet
 - HWRevisionnummer-Liste ergänzt
 - Firmware-Major-Nummern-Liste ergänzt
 - Erhaltene Flash-Speed-Reports eingearbeitet
 - Kleinere Änderungen

V0.4.4.9, 08.02.2011 (veröffentlicht)
 - Funktion: "Aktionen" -> "Debug-Informationen sammeln und zippen" um Upload- und DownloadLog erweitert
 - firmware_version-Erkennung der Freetz 7570-Firmware verbessert
 - Hinweistext "Diese Funktionen sind nur im Experten-Modus verfügbar!" im Normal-Modus im Reiter "Tools" eingebaut
 - Neue Funktion/Menüpunkt: "Netzwerk" -> "Netzwerk überprüfen/reparieren"
 - FAQ erweitert
 - NcFTP-Update auf V3.2.5.19
 - Testzeitraum bis 22.03.2011, 23:00 Uhr verlängert

V0.4.4.8, 28.12.2010 (veröffentlicht)
 - Einen Info-Link korrigiert
 - Link zur Umfrage-Seite entfernt

V0.4.4.7, 28.12.2010 (veröffentlicht)
 - Info-Links erweitert
 - 7zip-Update auf V9.20
 - DevCon(x86/x64)-Update auf V6.1.7234.0 und DevCon(ia64)-Update auf V6.1.7600.16385
 - Kleinere Änderungen
 - Testzeitraum bis 08.02.2011, 23:00 Uhr verlängert

V0.4.4.6, 06.11.2010 (veröffentlicht)
 - Kleinere Änderungen
 - Testzeitraum bis 28.12.2010, 23:00 Uhr verlängert

V0.4.4.5, 05.11.2010
 - hansenet in Branding-Liste aufgenommen
 - HWRevisionnummer-Liste ergänzt
 - Erhaltene Flash-Speed-Reports eingearbeitet
 - Bugfix: Erkennung der neuen Freetz BusyBox v1.17.3 (2010-11-03 15:18:29 CET)

V0.4.4.4, 17.09.2010 (veröffentlicht)
 - HWRevisionnummer-Liste ergänzt
 - Forum-Link auf "eigenes" Sub-Forum im IPPF umgesetzt

V0.4.4.3, 11.09.2010 (veröffentlicht)
 - HWRevisionnummer-Liste ergänzt
 - Firmware-Major-Nummern-Liste erweitert
 - "Danke/Hilfe/Spende/Donation"-Button auf vielfachen Wunsch aktiviert
 - Kleinere Änderungen
 - Testzeitraum bis 09.11.2010, 23:00 Uhr verlängert

V0.4.4.2, 27.07.2010 (veröffentlicht)
 - Neue Funktion/Menüpunkt: "?" -> "Funktionen/Features/Highlights lokal"
 - Neue Funktion/Menüpunkt: "?" -> "Funktionen/Features/Highlights auf der Homepage"
 - Neue Funktion/Menüpunkt: "?" -> "How-Tos/Schritt für Schritt-Anleitungen"
 - Bugfix: Bei "cfg-Datei modifizieren" wurde manchmal fälschlicherweise eine Warnung ausgegeben, dass die Änderungen nicht korrekt geschrieben wurden
 - Testzeitraum bis 14.09.2010, 23:00 Uhr verlängert

V0.4.4.1, 26.07.2010
 - Funktion: Reiter "Tools" -> "cfg-Dateien auslesen" liest jetzt sichtbar Kennungen auch in WLAN- und USB.cfg-File aus
 - Funktion: Reiter "Tools" -> "Kennungen auslesen" liest jetzt sichtbar Kennungen auch in WLAN- und USB.cfg-File aus.
 - Funktion: Reiter "Tools" -> "Kennungen auslesen" liest jetzt auch die Kennungen der SIP-Clients aus
 - Neue Funktion: "Spezial" -> "Spectrum auslesen des Speedport 221 (VDSL2-Highspeed-Modem mit modifizierter Firmware)"
 - Neuen Bereich in der ruKernelTool.ini: [Speedport221]. Details entnehmen Sie der Ini-Datei
 - Bugfix: Bei Netzwerkkarten-Deaktivierung kam in seltenen Fällen ein "array out of range"-Fehler
 - Kleinere Änderungen

V0.4.4.0, 01.07.2010 (veröffentlicht)
 - Kleinere Änderungen
 - Testzeitraum bis 17.08.2010, 23:00 Uhr verlängert

V0.4.3.14, 30.06.2010
 - Hersteller-Icons, Länderflagge und farbliches Kennzeichnung des Typs werden in der Firmware-Liste angezeigt
 - Firmware-Donwload-Link-Liste kann nun gefiltert werden. AND- oder OR-Verknüpfungen sind zulässig, also && oder ||
 - Option "Firmware-Liste mit Farbe" entfernt
 - Neue Option: "Firmware-Liste mit Icons"
 - Kleinere Änderungen

V0.4.3.13, 08.06.2010 (veröffentlicht)
 - Bugfix: Firmware-Versionsnummernüberprüfung

V0.4.3.12, 08.06.2010
 - Firmware-Major-Nummer-Liste verbessert
 - Kleinere Änderungen

V0.4.3.11, 06.06.2010 (veröffentlicht)
 - Kleinere Änderungen
 - Testzeitraum bis 13.07.2010, 23:00 Uhr verlängert

V0.4.3.10, 05.06.2010
 - Bugfix: Programmupdate scheiterte, wenn Umlaute im Pfad enthalten waren
 - Neue Option: "Download aller nicht lokal vorhandenen Firmwaren nach Download-Link-Listen-Update"
 - Ctrl+Alt+"Download"-Button selektiert alle noch nicht lokal vorhandenen Firmwaren und startet dann denn Download
 - Ausgabe der Firmware-Verfügbarkeitsüberprüfung (Ctrl+Shift+"Download"-Button) von "Ja" auf "a." (= available) geändert
 - Firmware-Major-Nummern-Liste erweitert
 - Funktion "Spezial" -> "Spectrum auslesen (experimentell)" nun auch für 7390 mit ADSL und ADSL2
 - FritzBox 7320-Ready
 - Kleinere Änderungen

V0.4.3.9, 16.05.2010 (veröffentlicht)
 - Bugfix: Branding-Erkennung für fritzifizierten Eumex repariert
 - Bugfix: Firmware-Verfügbarkeitsüberprüfung
 - Firmware-Major-Nummern-Liste erweitert
 - Kontakt-Email-Adresse geändert
 - Tastenkombinationen geändert:
     Strg+M = Mitteilungsfenster ein-/ausblenden
     Strg+Shift+M = Mitteilungsfenster leeren
 - Testzeitraum bis 22.06.2010, 23:00 Uhr verlängert

V0.4.3.8, 27.04.2010 (veröffentlicht)
 - Umfrage-Button in das Menü "?" verschoben
 - Testzeitraum bis 18.05.2010, 23:00 Uhr verlängert
 - Kleinere Änderungen

V0.4.3.7, 26.04.2010
 - Bugfix: Die Position der ProgressBar bei Downloads wurde sich nicht gemerkt
 - Bugfix: Kernel-Version-Erkennung für fritzifizierten Eumex repariert
 - Bugfix: Cursor-Rückstellung bei manchen Funktionen repariert
 - Erweiterung: Die Anzahl der eigegebenen Zeichen des WLAN-Keys wird ausgegeben
 - Neue NcFTP-Version 3.2.4.18
 - Neue Funktion: "Spezial" -> "Spectrum auslesen (experimentell)"
 - Erhaltene Flash-Speed-Reports eingearbeitet
 - Kleinere Änderungen

V0.4.3.6, 11.04.2010 (veröffentlicht)
 - Testzeitraum bis 27.04.2010, 23:00 Uhr verlängert
 - Kleinere Änderungen

V0.4.3.5, 10.04.2010
 - Schatten vom Mitteilungenfenster entfernt
 - Neue Option: "Einstellungen" -> "Mitteilungsfenster immer im Vordergrund halten"
 - Erhaltene Flash-Speed-Reports eingearbeitet
 - Kleinere Änderungen

V0.4.3.4, 04.04.2010 (veröffentlicht)
 - Bugfix: Bei "Kennungen auslesen" wurde "=" im Key oder Value als Trenner erkannt
 - Info-Links erweitert

V0.4.3.3, 04.04.2010
 - Funktionserweiterung: "Tools" -> "cfg-Dateien auslesen": Ergebnis kann in eine Datei gespeichert werden
 - Bugfix: Texteditor wurde auf manchen Systemen unsichtbar gestartet
 - Kleinere Änderungen

V0.4.3.2, 04.04.2010 (veröffentlicht)
 - Hinweis/Warnung beim Umschalten in den Experten-Modus eingebaut
 - Funktionserweiterung: "Tools" -> "Kennungen auslesen": 
      + Fernwartungskennung wird nun auch ausgelesen
      + Ergebnis kann in eine Datei gespeichert werden
 - Kleinere Änderungen
 - Testzeitraum bis 20.04.2010, 23:00 Uhr verlängert

V0.4.3.1, 31.03.2010
 - Bugfix: Produktionsdatum wurde falsch berechnet
 - Neue Option: Eigenen Texteditor bestimmen  (wird derzeit nur für Button "cfg-Datei modifizieren" benutzt)
 - Kleinere Änderungen
 
V0.4.3.0, 29.03.2010 (veröffentlicht)
 - Funktionsumbenennung "Tastaturkombinationen" -> "Tastenkombinationen"
 - Kleinere Änderungen
 - Testzeitraum bis 13.04.2010, 23:00 Uhr verlängert

V0.4.2.8, 26.03.2010
 - Neue Option: "Einstellungen" -> "Upload: Keinen Ping beim Anhalten"
 - Anhalten alter Boxen verbessert
 - Funktionserweiterung: Reiter "Tools" -> "Im Betrieb auslesen". Ist nun auch 2.4er-Kernel kompatibel
 - Umfrage-Link eingebaut
 - Info-Links erweitert
 - Kleinere Änderungen

V0.4.2.7, 25.03.2010
 - Neuer Button/Funktion: Reiter "Tools" -> "Annex auslesen/ändern"
 - Funktionserweiterung: Reiter "Firmware-Downloads" -> "Download":
     Bei gedrückten Ctrl+Shift-Tasten wird nur die Verfügbarkeit der Firmware auf dem Server geprüft
 - Einrichtungsassistenten verbessert
 - Kleinere Änderungen

V0.4.2.6, 23.03.2010 (veröffentlicht)
 - Testzeitraum bis 30.03.2010, 23:00 Uhr verlängert
 - Kleinere Änderungen

V0.4.2.5, 22.03.2010
 - Neuer Button/Funktion: Reiter "Tools" -> "Branding auslesen/ändern"
 - Neuer Button/Funktion: Reiter "Tools" -> "cfg-Datei modifizieren"
 - Neuer Button/Funktion: Reiter "Tools" -> "Neustart"
 - Neue Funktion: "Spezial" -> "Produktionsdatum ermitteln"
 - Neue Funktion: "Aktionen" -> "MD5 einer Datei berechnen"
 - md5-Ausgabe des Kernels bei den Funktionen "Überprüfen" und "Upload starten"
 - Info-Links erweitert
 - Kleinere Änderungen

V0.4.2.4, 15.03.2010
 - Überprüfung auf >= xx.04.30 erweitert
 - Flash-/Speichergrößen-Ausgaben der Box-Informationen bei Up-, Download-Vorgängen und Halten in Adam2
 - Überprüfung eingebaut, ob kernel.image Platz in mtd1 hat

V0.4.2.3, 14.03.2010
 - Font-Umstellung im Reiter Kurzanleitung von Arial auf Courier New
 - Hauptfenster etwas verbreitert
 - Neue Funktion: "Einstellungen" -> "Programmfenstergröße einstellen"
 - Neue Option: "Einstellungen" -> "Tabellenspaltenbreiten beibehalten"
 - Neue Funktion: "Aktionen" -> "Tabellenspaltenbreiten optimieren"
 - Kleinere Änderungen

V0.4.2.2, 08.03.2010 (veröffentlicht)
 - Fehler im Compiler für x64, daher Rücksprung von 3.3.6.0 auf 3.3.5.6

V0.4.2.1, 07.03.2010 (veröffentlicht)
 - Bugfix: Bereits zuvor deaktivierte Netzwerkkarten wurden beim Wiederherstellen mit aktiviert

V0.4.2.0, 07.03.2010
 - Umstellung auf Compiler >= V3.3.2.0 (inkl. Behebung der script-breaking changes)
 - Bei allen Firmware-Downloads einer ftp-Adresse wird das Datei-Datum (+/-1h) vom Server übernommen
 - x64-Versionen ab jetzt verfügbar
 - Warnung bei Verwendung der 32bit-Programmversion auf einem 64bit-Betriebssystem
 - Update-Prozess für x64-Version angepaßt
 - Download-Funktion für die 64bit-Programmvariante auf 64bit-OS bei Benutzung der 32bit-Programmvariante
 - Bei aktivierter automatischer Versionsüberprüfung erscheint für 10 Sekunden ein separates Fenster bei neuen Versionen
 - Neue Option: "Firmware-Download vom AVM-Server: http anstatt ftp"
 - Kleinere Änderungen

V0.4.1.20, 05.03.2010
 - Kleinere Änderungen

V0.4.1.19, 04.03.2010 (veröffentlicht)
 - Bugfix: Grenze von 32767 Bytes beim Einlesen von grossen Download-Link-Liste beseitigt

V0.4.1.18, 02.03.2010 (veröffentlicht)
 - Bugfix: Programm crasht bei alle Funktionen im Reiter "Upload"

V0.4.1.17, 02.03.2010 (veröffentlicht)
 - Kleinere Änderungen
 - Testzeitraum bis 23.03.2010, 23:00 Uhr verlängert

V0.4.1.16, 01.03.2010
 - Datei-Download nun auch mit Übertragungsratenausgabe
 - Kleinere Änderungen

V0.4.1.15, 25.02.2010
 - Merkt sich Position der ProgressBar bei Downloads (gültig nur zur Programmlaufzeit)
 - Bei allen Firmware-Downloads einer http-Adresse wird das Datei-Datum vom Server übernommen
 - Kleinere Änderungen

V0.4.1.14, 23.02.2010  (veröffentlicht)
 - Bei Firmware-Downloads einer http-Adresse wird das Datei-Datum vom AVM-Server übernommen
 - Testzeitraum bis 09.03.2010, 23:00 Uhr verlängert

V0.4.1.13, 22.02.2010
 - Bugfix bei der Option "Relative anstatt komplette Pfadausgaben"
 - Workaround für fehlerhafte Firmwaren bei Telnet-Zugang ("weitere telnet-Verbindung aufgebaut")
 - Es werden mehr Env-Variablen nach Clear MTD3+4 gesetzt
 - Kleinere Änderungen

V0.4.1.12, 10.02.2010 (veröffentlicht)
 - Bugfix bei der MediaSensing-Erkennung

V0.4.1.11, 09.02.2010 (veröffentlicht)
 - Neue Funktion/Menüpunkt: "Spezial" -> "Firmware-Major-Nummer-Liste anzeigen"
 - BugFix: Bei manchen Fragen konnte nicht "Ja/Nein", sondern nur "ok" angeklickt werden
 - Testzeitraum bis 23.02.2010, 23:00 Uhr verlängert

V0.4.1.10, 07.02.2010
 - Neues Unterverzeichnis ".\Log-Dateien\Debug-Logs" für die DebugLogs
 - Neue Funktion/Menüpunkt: "Aktionen" -> "Upload-Log öffnen"
 - Neue Funktion/Menüpunkt: "Aktionen" -> "Download-Log öffnen"
 - Neue Funktion/Menüpunkt: "Aktionen" -> "Flash-Speed-Report öffnen"
 - Bugfix bei der MediaSensing-Erkennung
 - Erhaltene Flash-Speed-Reports eingearbeitet
 - HWRevisionnummer-Liste ergänzt
 - Copyright-Jahr korrigiert
 - Kleinere Änderungen

V0.4.1.9, 26.01.2010 (veröffentlicht)
 - Neuer Haupt-Menüpunkt "Update"
 - Menü "?" umsortiert
 - Kleinere Änderungen
 - Testzeitraum bis 09.02.2010, 23:00 Uhr verlängert

V0.4.1.8, 25.01.2010
 - Erweiterte Ausgaben der Box-Informationen bei Up-, Download-Vorgängen und Halten in Adam2
 - Neue Funktion/Menüpunkt: "Spezial" -> "Bootloader-Variablen+Werte auslesen"
 - Neue Funktion/Menüpunkt: "Spezial" -> "Bootloader-Werte verändern"
 - "Relative anstatt komplette Pfadausgaben" bei Neuinstallationen als Default gesetzt
 - Restzeitanzeige bei Downloads aus dem Internet
 - Erhaltene Flash-Speed-Reports eingearbeitet
 - Kleinere Änderungen

V0.4.1.7, 17.01.2010 (veröffentlicht)
 - FAQ aus der Kurzanleitung in eine eigene Datei separiert
 - FAQ neu gegliedert, überarbeitet und ergänzt
 - Neue Funktion/Menüpunkt: "?" -> "FAQ lokal"
 - Neue Funktion/Menüpunkt: "?" -> "FAQ auf der Homepage"
 - SpeedReport in Flash-Speed-Report umbenannt

V0.4.1.6, 14.01.2010
 - Workaround für macwlan2-Fehler im Bootloader eingebaut
 - Erhaltene Flash-Speed-Reports eingearbeitet
 - Kleinere Änderungen

V0.4.1.5, 07.01.2010 (veröffentlicht)
 - Kleinere Änderungen
 - zurück zur Normal-Edition 
 - Testzeitraum bis 26.01.2010, 23:00 Uhr verlängert

V0.4.1.4, 21.12.2009 (veröffentlicht)
 - Kleinere Änderungen
 - Testzeitraum bis 07.01.2010, 23:00 Uhr verlängert

V0.4.1.3, 21.12.2009
 - Status-Anzeige im Reiter "Tools" korrigiert
 - Kleinere Änderungen, u.a. Rechtschreibfehler korrigiert
 - Statusleiste/Fußzeile am unteren Fensterrand umgestaltet
 - Neu: WAN-IP-Adresse wird in Statusleiste angezeigt
 - Veränderung: Ausgeblendetes Mitteilungenfenster wird mittels rotem "M" rechts in der Statusleiste angezeigt
   und nicht mehr über eine Textausgabe auf der linken Seite der Leiste
 - Neue Einstellungen-Option: "Relative anstatt komplette Pfadausgaben"
 - Weihnachts-Edition :-)

V0.4.1.2, 09.12.2009 (veröffentlicht)
 - Nikolaus-Edition :-)
 - Kleinere Änderungen
 - Testzeitraum bis 21.12.2009, 23:00 Uhr verlängert

V0.4.1.1, 05.12.2009 (veröffentlicht)
 - Entfernung von "RC", da es derzeit keine RCs sind, sondern wieder Beta. Zur RC dauert es noch.
 - "Zeige Environment" legt jetzt automatische eine Datei im Verzeichnis "Log-Dateien"
 - Änderung Tastaturkombination: Strg+Shift+C unterbricht die Port-Verfügbarkeitüberprüfung (vorher Strg+C)
 - Kleinere Änderungen
 - Testzeitraum bis 15.12.2009, 23:00 Uhr verlängert

V0.4.1.0, 01.12.2009
 - Neues Menü: "Info-Links"
 - Neues Menü: "Spezial"
 - Neue Funktion/Menüpunkt: "Spezial" -> "Hardware-Revision-Liste anzeigen"
 - Port-Verfügbarkeitscheck kann mit Strg+C abgebrochen werden. Achtung: Interrupt ist nicht sofort wirksam!
 - Testzeitraum bis 10.12.2009, 23:00 Uhr verlängert

V0.4.0.8 RC15, 27.11.2009
 - Neue Funktion: "Aktionen" -> "Debug-Log öffnen"
 - Kleinere Änderungen
 - Testzeitraum bis 04.12.2009, 23:00 Uhr verlängert 

V0.4.0.7, 26.11.2009     
 - Neuer Bereich "Login" im Reiter "Tools"
 - Neuer Bereich "Status" im Reiter "Tools"
 - Neuer Button/Funktion: Reiter "Tools" -> "macdsl ändern"
 - Neue Ausgabe "DSL-MAC-Adresse" im Reiter "Tools", Bereich "Fritzbox/Speedport/Sinus/Eumex"
 - Neue Option in der Ini: Bereich [Tools]: Kennung, Details siehe Ini
 - Neue Option in der Ini: Bereich [Tools]: Passwort, Details siehe Ini
 - Button "Tools" -> "Zeige Environment" frage jetzt ab, ob WLAN-Key nach "Upload-Parameter" -> "WLAN-Key" übernommen werden soll
 - Button "Upload" -> "Infos auslesen" frage jetzt ab, ob WLAN-Key nach "Upload-Parameter" -> "WLAN-Key" übernommen werden soll

V0.4.0.6, 20.11.2009
 - Runtergeladene Firmware wird überprüft, ob es eine Firmware, Kernel-Image oder Zip-Datei ist (MagicBytes-Check)
 - Default-Wert von "Suchen nach sinus.ip" bei Programm-Start von an- auf abgehakt geändert
 - Neuer Button/Funktion: Reiter "Tools" -> "cfg-Dateien auslesen"
 - Neuer Button/Funktion: Reiter "Tools" -> "Kennungen auslesen"
 - Neuer Button/Funktion: Reiter "Tools" -> "Warnhinweis entfernen"
 - Neue Option in der Ini: Bereich [Tools]: Bevorzugte Box-IP-Adresse, Details siehe Ini
 - Kleinere Änderungen
 - Testzeitraum bis 25.11.2009, 23:00 Uhr verlängert

V0.4.0.5.1, 17.11.2009
 - Testzeitraum bis 25.11.2009, 23:00 Uhr verlängert

V0.4.0.5, 10.11.2009
 - Lizenz-Bedingung-Akzeptierung eingebaut
 - Testzeitraum bis 17.11.2009, 23:00 Uhr verlängert

V0.4.0.4, 04.11.2009
 (- Bugfix: telnet.exe wurde auf 64bit-Systemen nicht gefunden)
 - Erhaltene Flash-Speed-Reports eingearbeitet
 - Branding otwo hinzugefügt
 - Einrichtungsassistent überarbeitet
 - Lizenztext erweitert
 - Testzeitraum bis 10.11.2009, 23:00 Uhr verlängert

V0.4.0.3 RC14, 26.10.2009
 - Ctrl+K für "Tastaturkombinationen freigeben"
 - Hinweise beim ersten Programmstart erweitert
 - Hinweise-Fenster am Ende des Auto-Updates-Vorgangs, falls der Testzeitraum abgelaufen sein sollte
 - Testzeitraum bis 03.11.2009, 23:00 Uhr verlängert

V0.4.0.2, 24.10.2009
 - Neues Unterverzeichnis "Kernel+Dump-Sammlung" für Kernel-Images und einzelnen Dumps/Downloads
 - Neues Unterverzeichnis "FullDump-Sammlung" für Komplett-Dumps mtd1-4
 - Beim Entpacken eines kernel.images werden die Einstellungen aus der Firmware in ein KernelInfoFile .ruktif geschrieben.
     Beim späteren Auswählen des kernel.images werden somit die richtigen Einstellungen gesetzt
 - Success-Sound spielt nun an der richtigen Stelle
 - x64-Ausgabe bei Verwendung einer x64-Version des Programms
 - HWRevisionnummer-Liste ergänzt
 - Kleinere Änderungen

V0.4.0.1, 20.10.2009
 - Überprüfung bei Programmstart, ob netsh und telnet vorhanden ist
 - UPnP-Box-Suche eingeschränkt auf Fritzboxen
 - Informationen zum Betriebssystem werden nun in den Reitern "Upload" und "Download" ausgegeben
 - Kernel-Größe und -Datum werden nun im Bereich "Informationen aus der Firmware" angezeigt
 - Ausgelesene Variable firmware_version der s2f-Firmwaren wird gegenüber den Brandings vorrangig behandelt
 - Erhaltene Flash-Speed-Reports eingearbeitet
 - F1 öffnet Kurzanleitung in einem Texteditor

V0.4.0.0 RC13, 13.10.2009
 - Neuer Button: Reiter "Upload" -> "Infos auslesen"
 - Kleinere Änderungen
 - Testzeitraum bis 26.10.2009, 23:00 Uhr verlängert
	
V0.3.0.9, 12.10.2009
 - Neuer Bereich "Informationen aus der Firmware" im Reiter "Upload-Parameter"
 - Beim Entpacken eines kernel.images aus einer Firmware werden die Firmware-Infos ausgegeben 
   und automatisch Branding und Annex bei den Einstellungen gesetzt

V0.3.0.8, 06.10.2009
 - Speedreport versenden funktioniert wieder
 - Erhaltene Flash-Speed-Reports eingearbeitet
 - Upload- und Download-Ausgaben werden zusätzlich in Logdateien gespeichert
 - WLAN-Key kann nun auch im "Normal-Modus" gesetzt werden

V0.3.0.7, 01.10.2009
 - bisher gesetzte Adam2-IP-Adresse wird ausgelesen und später ggf. wieder gesetzt
 - Bessere Ursachenermittlung, falls ein Dump nicht funktionieren sollte
 - Neues Unterverzeichnis "Log-Dateien" für DebugLogs, Speedreports und Protokolle der Up- und Downloads
 - Achtung: DebugLogs liegen nun im Unterverzeichnis "Log-Dateien"
 - Speedreport wird automatisch in Datei ".\Log-Dateien\Speedreports.txt" mitgeschrieben
 - Branding "congstar" hinzugefügt
 - Kleinere Änderungen

V0.3.0.6, 28.09.2009
 - Beim "Bootvorgang anhalten" werden nun viel mehr Box-Informationen ausgegeben
 - Funktion "Download" -> "mtd 1 - 4" umgeschrieben: Die Dumps werden nun zusammengepackt
 - Dump-Timeout per Default auf 30 Sekunden reduziert
 - Kleinere Änderungen

V0.3.0.5.1 RC12, 11.10.2009
- Testzeitraum bis 13.10.2009, 23:00 Uhr verlängert

V0.3.0.5 RC12, 27.09.2009
 - Buttons im Reiter "Download" umbenannt
 - Neuer Button: Reiter "Download" -> "mtd3 (Konfiguration)"
 - Neuer Button: Reiter "Download" -> "mtd4 (Konfiguration)"
 - Neuer Button: Reiter "Download" -> "mtd 1 - 4"
 - Testzeitraum bis 11.10.2009, 14:00 Uhr verlängert

V0.3.0.4 RC11, 15.09.2009
 - Neue Option: Debugging ein-/ausschalten
 - Neue Funktion: "Aktionen" -> "Debug-Informationen sammeln und zippen"
 - Bugfix: Cursor-Rückstellung repariert
 - Kleinere Änderungen
 - Testzeitraum bis 27.09.2009, 12:00 Uhr verlängert

V0.3.0.3, 11.09.2009
 - Neue Ergebisausgabe bei "Zeige Environment"
 - Neue Option in der Ini: Bereich [Fritzbox]: Neue Adam2-IP-Adresse, Details siehe Ini
 - Neue Option in der Ini: Bereich [Fritzbox]: WLAN-Key, Details siehe Ini
 - Kompatibilität zu (ur)alten Fritzboxen erhöht
 - Kleinere Änderungen

V0.3.0.2 RC10, 07.09.2009
 - Kleinere Änderungen
 - Testzeitraum bis 17.09.2009, 12:00 Uhr verlängert

V0.3.0.1, 07.09.2009
 - Kleinere Änderungen

V0.3.0.0 RC9, 01.09.2009
 - Neuer Reiter "Tools" 
 - Reiter "Fritzbox/Speedport" heißt jetzt "Upload-Parameter"
 - Verschieben des Bereiches "Adam2-IP" in den Reiter "Tools" mit Umorganisation der Buttons
 - Kleinere Änderungen
 - Testzeitraum bis 09.09.2009, 12:00 Uhr verlängert

V0.2.4.1, 27.08.2009
 - Neue Option in der Ini: Bereich [Settings]: NoMediaSensingCheck. Details siehe Ini
 - Neue Option in der Ini: Bereich [Settings]: DoNotAskForPowerOnOff. Details siehe Ini
 - Neue Option in der Ini: Bereich [Netzwerk]: Voreingestellte Netzwerkkarte. Details siehe Ini
 - Reiter "Netzwerk" und "Firmware-Download" getauscht (Reihenfolge)
 - Kleinere Änderungen

V0.2.4.0 RC8, 24.08.2009
 - Neue Funktion: Aktionen -> Programm neu starten
 - Testzeitraum bis 01.09.2009, 12:00 Uhr verlängert

V0.2.3.1, 24.08.2009 
 - BugFix: Download-Link-Listen-Update ist manchmal gescheitert (File war versehentlich auf ReadOnly gesetzt)
 - Button "Donwload" nach "Download kernel.iamge" umbenannt
 - Neuer Button im Reiter "Download": "Download Bootloader"
 - Kleinere Änderungen

V0.2.3.0 RC7, 16.08.2009
 - Bei Programmstart wird die Internetverbindung überprüft
 - Neue Option in der Ini: DoNotUseInternet -> Wenn 1, dann wird bei Programmstart der Zugriff auf das Internet unterbunden
 - Neue Funktion: Netzwerk -> Internet-IP (WAN-IP) ermitteln
 - Testzeitraum bis 25.08.2009, 12:00 Uhr verlängert
 - Kleinere Änderungen

V0.2.2.3, 15.08.2009
 - Namensauflösung etwas beschleunigt
 - Neue Funktion: "Aktionen" -> "Ini-Datei zurücksetzen"
 - Neues Hauptmenu "Netzwerk"
 - Neues Untermenu "Einstellungen" -> "Programm-Start": Zum Einstellen, nach was beim Programmstart gesucht werden soll
 - Neue Option in der Ini: DumpTimeout -> Read-Timeout für das Downloaden (Dumpen) einer Firmware, Default 40 Sekunden
 - Diverse Menus umbenannt bzw. erweitert
 - Kurzanleitung, ChangeLog, Default-Ini auf ReadOnly gesetzt
 - Kleinere Änderungen

V0.2.2.2, 12.08.2009
 - Fritzboxen/Speedports bei Programmstart via UPnP suchen
 - Neue Option in der Ini: NoBoxSearch -> Wenn 1, dann wird nicht nach Boxen beim Programmstart gesucht
 - Neuer Menu-Punkt: Aktionen -> Netzwerk neu einlesen
 - Neue Funktion: Aktionen -> Alle Netzwerkkarten auflisten (in Textdatei)
 - Kleinere Änderungen

V0.2.2.1 RC6, 10.08.2009
 - Programmcode-Optimierungen bzw. kleinere Verbesserungen

V0.2.2.0, 09.08.2009
 - Funktion "Adam2-IP-Adresse durch Neustart auslesen" überarbeitet
 - Funktion "Adam2-IP-Adresse während eines Neustart setzen" überarbeitet

V0.2.1.7, 09.08.2009
 - Download-Hilfe: Wenn der ftp-Server von AVM nicht erreichbar ist, wird die Download-Link in eine
    http-Adresse umgewandelt und auf Wunsch der Download erneut versucht

V0.2.1.6, 08.08.2009
 - Hinweise am Ende des Upload-Vorgangs erweitert
 - Neue Option in der Ini: DoNotSetHotkeys -> Wenn auf 1 gesetzt, werden keine Tastaturkombinationen gesetzt
 - Testzeitraum bis 18.08.2009, 12:00 Uhr verlängert

V0.2.1.5, 02.08.2009
 - NcFTPget und NcFTPput in neuer Version 3.2.3 -> Update-Funktion eingebaut

V0.2.1.4, 01.08.2009
 - Neue Funktion: Aktionen -> Ini-Datei öffnen
 - Neuer Knopf im Reiter "Fritzbox/Speedport": "Benutzeroberfläche der Box"
    -> Tastenkombination: Strg+W

V0.2.1.3 RC5, 31.07.2009
 - Hinweistexte/Fragen beim ersten Programm-Start erweitert
 - Testzeitraum bis 10.08.2009, 12:00 Uhr verlängert

V0.2.1.2, 30.07.2009
 - Key "Beschreibung" für die Donwload-Link-Listen in der Ini eingebaut
 - Sammelliste erzeugt. Sie "sammelt" alle Firmwaren aus dem Unterverzeichnis "Firmware-Sammlung", die nicht
   in einer der Listen ("Download-Links vom Programm", "Download-Links Eigen", ...) enthalten sind.
   Siehe auch ruKernelTool.ini.
 - Hinweistext beim ersten Programm-Start erweitert

V0.2.1.1, 25.07.2009
 - Neuer Knopf im Reiter "Firmware-Download": "Als kernel.image benutzen"

V0.2.1.0 RC4, 24.07.2009
 - Spalte "Readme-Datei/-Seite" eingebaut
 - Über den Knopf "Readme(s) öffnen" werden die Readme-Dateien/-Links der ausgewählten Firmwaren geöffnet

V0.2.0.4, 24.07.2009
 - Spalte "Lokal" eingebaut. Zeigt an, ob die Firmware bereits runtergeladen ist
 - Bei fehlgeschlagenem Download ausgabe von "DL-Error" in Spalte "Lokal"

V0.2.0.3, 24.07.2009
 - Farbe des Message-Windows der Hintergrundfarbe angepaßt
 - Testzeitraum bis 03.08.2009, 12:00 Uhr verlängert

V0.2.0.2 RC3, 18.07.2009
 - Tray-Info bei Datei-Downloads entfernt, da große Fortschrittsanzeige ausreicht
 - Neue Funktion: Aktionen -> Firmware-Listen neu einlesen
 - Neuer Knopf im Reiter "Fritzbox/Speedport" im Bereich Adam2: "Telnet zur Box"
   -> Tastenkombination: STRG+T
 - Neue Funktion: Aktionen -> Tastaturkombinationen freigeben/setzen
 - Kurzanleitung erweitert
 - Testzeitraum bis 28.07.2009, 12:00 Uhr verlängert
 - Wartezeit beim PC-Neustart von 15 auf 20 Sekunden erhöht
 - Programm-Versions- und Zeitausgabe beim allen Funktionen der Reiter "Upload" und "Download"

V0.2.0.1 RC2, 14.07.2009
 - Beim Programm-Update ein schnelles Beeenden des Programms (ohne Splash) eingebaut

V0.2.0.0 RC2, 13.07.2009
 - Release Candidate 2
 - Text-Modifikationen

V0.1.0.7, 13.07.2009
 - Neuer Knopf "Zeige Environment der Box"

V0.1.0.6, 13.07.2009
 - Firmware-Liste sind nun 2-farbig (helles blau + weiß). Name, Version und Datum als Überschrift
 - Doppel-Klick auf ein Element hakt die Zeile an- oder ab
 - Doppel-Klick auf ein Überschriften-Zeile hakt die ganze Download-Liste an- oder ab
 - Statistik um "erfolgreiche Firmware-Downloads aus dem Internet" erweitert
 - STRG+S öffnete Statistik-Fenster
 - Hinweis-Fenster beim ersten Programm-Start ergänzt
	
V0.1.0.5, 12.07.2009
 - Start-Splash ist viel gesprächiger!
 - Ende-Splash
 - Ctrl-S ist jetzt Ctrl-L, um das Logo anzeigen zu können
 - Firmware-Liste kann farbig werden (eigene Option) -> noch in einer langsamen Version

V0.1.0.4.1 RC1, 12.07.2009
- Testzeitraum bis 16.07.2009, 12:00 Uhr verlängert

V0.1.0.4 RC1, 01.07.2009
 - Status von Beta nach Release Candidate geändert
 - Update der Download-Link-Liste funktioniert jetzt

V0.1.0.3, 30.06.2009
 - Spalte "Sprache" in den Download-Links hinzugefügt

V0.1.0.2, 30.06.2009
 - Programm-Update erweitert

V0.1.0.1, 28.06.2009
 - Programm-Update runderneuert. Es ist nun gesprächiger

V0.1.0.0, 27.06.2009
 - Tool umbenannt von ruKernelUploader zu ruKernelTool
 - Neue Funktion "Download-Link-Update" inkl. Menu und Einstellungen angefangen (noch nicht fertig)
 - Datum und Version bei "Download-Links vom Programm" eingeführt
 - Splash eingebaut (Ctrl+S)
 - Ctrl-I für Programm-Info-Fenster

V0.0.6.1, 22.06.2009 (ruKernelUploader)
 - Strippen repariert
 - Erkennung der Hardware verbessert
	
V0.0.6.0, 21.06.2009 (ruKernelUploader)
 - Neues Icon (Danke an BurningCrash!)
 - Neuer Reiter Download und neuer Knopf "Download" (Kernel strippen noch buggy)

V0.0.5.11, 19.06.2009 (ruKernelUploader)
 - Download-Links modifiziert


ruKernelTool-Changelog - Copyright © 2009-2018 by Rainer Ullrich - Alle Rechte vorbehalten!